﻿Imports System.Data
Imports System.Data.SqlClient
Imports CrystalDecisions.Shared
Imports CrystalDecisions.CrystalReports.Engine

Public Class Form1
    Dim crystalReport As CustomerReport
    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        crystalReport = New CustomerReport()
        Dim dsCustomers As Customers = GetData()
        crystalReport.SetDataSource(dsCustomers)
        Me.crystalReportViewer1.ReportSource = crystalReport
        Me.crystalReportViewer1.RefreshReport()
    End Sub

    Private Function GetData() As Customers
        Dim constr As String = "Data Source=.\Sql2005;Initial Catalog=Northwind;User Id=sa;Password=pass@123"
        Using con As New SqlConnection(constr)
            Using cmd As New SqlCommand("SELECT TOP 5 * FROM Customers")
                Using sda As New SqlDataAdapter()
                    cmd.Connection = con
                    sda.SelectCommand = cmd
                    Using dsCustomers As New Customers()
                        sda.Fill(dsCustomers, "DataTable1")
                        Return dsCustomers
                    End Using
                End Using
            End Using
        End Using
    End Function

    Private Sub btnExport_Click(sender As Object, e As EventArgs) Handles btnExport.Click
        If rbWord.Checked Then
            crystalReport.ExportToDisk(ExportFormatType.WordForWindows, "D:\Files\CustomerReport.doc")
        ElseIf rbExcel.Checked Then
            crystalReport.ExportToDisk(ExportFormatType.Excel, "D:\Files\CustomerReport.xls")
        ElseIf rbPDF.Checked Then
            crystalReport.ExportToDisk(ExportFormatType.PortableDocFormat, "D:\Files\CustomerReport.pdf")
        ElseIf rbCSV.Checked Then
            crystalReport.ExportToDisk(ExportFormatType.CharacterSeparatedValues, "D:\Files\CustomerReport.csv")
        End If
    End Sub
End Class
